store-auth-sessions-get-many¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-8
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-auth-sessions-get-manyComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-sessions-get-manyLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-8curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-8
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-auth-sessions-get-many
Table:
- table: jef-store-auth-sessions
- operation: get-many
Payload Schema:
- gsi_1_pk: entity_number
Payload Example:
- gsi_1_pk: 1001
Response Schema:
- exists: boolean
- message: string
- items: [{"session_id":"string","session_number":"string","entity_number":"string","employee_number":"string","employee_name":"string","role":"string","device_id":"string","platform":"string","message":"string","is_valid":"boolean","token_hash":"string","login_type":"string","issued_at":"string","last_seen":"string","expires_at":"string","revoked_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}]
Request Payload¶
{
"gsi_1_pk": "entity_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"session_id\":\"string\",\"session_number\":\"string\",\"entity_number\":\"string\",\"employee_number\":\"string\",\"employee_name\":\"string\",\"role\":\"string\",\"device_id\":\"string\",\"platform\":\"string\",\"message\":\"string\",\"is_valid\":\"boolean\",\"token_hash\":\"string\",\"login_type\":\"string\",\"issued_at\":\"string\",\"last_seen\":\"string\",\"expires_at\":\"string\",\"revoked_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}]"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-sessions-get-many?gsi_1_pk=1001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-auth-sessions-get-many?gsi_1_pk=1001"